#version 330
in vec3 in_Position;
in vec3 in_Normal;
in vec2 in_UVs;
out vec4 vert_Normal;
out vec2 uvs;
uniform mat4 objMat;
uniform mat4 mv_Mat;
uniform mat4 mvpMat;
uniform float time;
void main() {
	gl_Position = mv_Mat * objMat * vec4(in_Position, 1.0);
	vert_Normal = mv_Mat * objMat * vec4(in_Normal, 0.0);
	uvs = in_UVs;
}